@charset "UTF-8";

.various-documents p {
    line-height: 1.875;
    margin-bottom: 4.375em;
}
.various-documents ul {
    list-style: none;
    font-size: 1.0625rem;
    text-align: center;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 20px;
    width: fit-content;
}
.various-documents li {
    display: inline-block;
    transition: .4s;
    position: relative;
    cursor: pointer;
    border-radius: 20px;
}
.various-documents li:hover {
    background: #4aacce;
}
.various-documents li::before {
    content: "";
    top: 1px;
    left: 1px;
    border-bottom: 4em solid transparent;
    border-left: 4em solid #ecf4f8; /* ラベルの色はここで変更 */
    position: absolute;
    z-index: 100;
    border-radius: 20px 0 0 0;
    transition: .4s;
}
.various-documents li:hover::before {
    border-left: 4em solid #4aacce; /* ラベルの色はここで変更 */
}
.various-documents li::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: .4s;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}
.various-documents li.ic-card::after {
    background-image: url(../images/various-documents/ic-card.png);
    width: 50px;
    height: 30px;
}
.various-documents li.ic-card:hover::after {
    background-image: url(../images/various-documents/ic-card-wh.png);
}
.various-documents li.air-conditioning::after {
    background-image: url(../images/various-documents/air-conditioning.png);
    width: 50px;
    height: 42px;
}
.various-documents li.air-conditioning:hover::after {
    background-image: url(../images/various-documents/air-conditioning-wh.png);
}
.various-documents li.cleaning::after {
    background-image: url(../images/various-documents/cleaning.png);
    width: 29px;
    height: 50px;
}
.various-documents li.cleaning:hover::after {
    background-image: url(../images/various-documents/cleaning-wh.png);
}
.various-documents li.in-house_work::after {
    background-image: url(../images/various-documents/in-house_work.png);
    width: 50px;
    height: 50px;
}
.various-documents li.in-house_work:hover::after {
    background-image: url(../images/various-documents/in-house_work-wh.png);
}
.various-documents li.parking::after {
    background-image: url(../images/various-documents/car.png);
    width: 50px;
    height: 41px;
}
.various-documents li.parking:hover::after {
    background-image: url(../images/various-documents/car-wh.png);
}
.various-documents li.bike-parking::after {
    background-image: url(../images/various-documents/bicycle.png);
    width: 50px;
    height: 30px;
}
.various-documents li.bike-parking:hover::after {
    background-image: url(../images/various-documents/bicycle-wh.png);
}
.various-documents li.common::after {
    background-image: url(../images/various-documents/common.png);
    width: 50px;
    height: 38px;
}
.various-documents li.common:hover:after {
    background-image: url(../images/various-documents/common-wh.png);
}
.various-documents li.disaster-prevention::after {
    background-image: url(../images/various-documents/disaster-prevention.png);
    width: 50px;
    height: 32px;
}
.various-documents li.disaster-prevention:hover::after {
    background-image: url(../images/various-documents/disaster-prevention-wh.png);
}
.various-documents li.system::after {
    background-image: url(../images/various-documents/system.png);
    width: 45px;
    height: 50px;
}
.various-documents li.system:hover::after {
    background-image: url(../images/various-documents/system-wh.png);
}
.various-documents li.pbx::after {
    background-image: url(../images/various-documents/phone.png);
    width: 50px;
    height: 50px;
}
.various-documents li.pbx:hover::after {
    background-image: url(../images/various-documents/phone-wh.png);
}
.various-documents li.rules::after {
    background-image: url(../images/various-documents/rules.png);
    width: 50px;
    height: 30px;
}
.various-documents li.rules:hover::after {
    background-image: url(../images/various-documents/rules-wh.png);
}
.various-documents li.lunch::after {
    background-image: url(../images/various-documents/lunch.png);
    width: 50px;
    height: 38px;
}
.various-documents li.lunch:hover::after {
    background-image: url(../images/various-documents/lunch-wh.png);
}
.various-documents li a {
    display: block;
    width: 172px;
    height: 172px;
    border-radius: 20px;
    border: solid 1px #4aacce;
}
.various-documents li span {
    transition: .4s;
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
}
.various-documents li:hover span {
    color: #fff;
}

@media screen and (max-width: 1050px) {
    .various-documents ul {
        grid-template-columns: repeat(4, 1fr);
        margin: 0 auto;
    }
}
@media screen and (max-width: 850px) {
    .various-documents ul {
        grid-template-columns: repeat(3, 1fr);
    }
}
@media screen and (max-width: 650px) {
    .various-documents ul {
        grid-template-columns: repeat(2, 1fr);
    }

}
@media screen and (max-width: 450px) {
    .various-documents ul {
        font-size: 1rem;
    }
    .various-documents li a {
        width: 150px;
        height: 150px;
    }
}
@media screen and (max-width: 360px) {
    .various-documents ul {
        font-size: 0.9375rem;
    }
    .various-documents li a {
        width: 130px;
        height: 130px;
    }
}